#!/usr/bin/ruby

require 'mvp/puppetfile_parser'
require 'open-uri'
require 'json'
require 'logger'

$logger           = Logger::new(STDOUT)
$logger.level     = Logger::INFO
$logger.formatter = proc { |severity,datetime,progname,msg| "#{severity}: #{msg}\n" }

pf = open(ARGV.first)
parser = Mvp::PuppetfileParser.new()


repo = {
  :repo_name => 'testing',
  :md5       => 'wakka wakka',
  :content   => pf.read,
}

puts JSON.pretty_generate(parser.parse(repo))
